Anki app won't sync

kevin's Avatar

kevin

02 Feb, 2020 04:55 PM

Hello, when I click on "sync" on the mac 2.1 version of the app, I get the following:

Syncing failed:
Traceback (most recent call last):
  File "urllib3/connectionpool.py", line 665, in urlopen
  File "urllib3/connectionpool.py", line 376, in _make_request
  File "urllib3/connectionpool.py", line 994, in _validate_conn
  File "urllib3/connection.py", line 386, in connect
  File "urllib3/util/ssl_.py", line 370, in ssl_wrap_socket
  File "ssl.py", line 500, in wrap_socket
  File "ssl.py", line 1040, in _create
  File "ssl.py", line 1309, in do_handshake
OSError: [Errno 0] Error

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "requests/adapters.py", line 439, in send
  File "urllib3/connectionpool.py", line 719, in urlopen
  File "urllib3/util/retry.py", line 400, in increment
  File "urllib3/packages/six.py", line 734, in reraise
  File "urllib3/connectionpool.py", line 665, in urlopen
  File "urllib3/connectionpool.py", line 376, in _make_request
  File "urllib3/connectionpool.py", line 994, in _validate_conn
  File "urllib3/connection.py", line 386, in connect
  File "urllib3/util/ssl_.py", line 370, in ssl_wrap_socket
  File "ssl.py", line 500, in wrap_socket
  File "ssl.py", line 1040, in _create
  File "ssl.py", line 1309, in do_handshake
urllib3.exceptions.ProtocolError: ('Connection aborted.', OSError(0, 'Error'))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "aqt/sync.py", line 415, in run
  File "aqt/sync.py", line 440, in _sync
  File "anki/sync.py", line 637, in hostKey
  File "anki/sync.py", line 617, in req
  File "anki/sync.py", line 482, in post
  File "requests/sessions.py", line 581, in post
  File "requests/sessions.py", line 533, in request
  File "requests/sessions.py", line 646, in send
  File "requests/adapters.py", line 498, in send
requests.exceptions.ConnectionError: ('Connection aborted.', OSError(0, 'Error'))

What can I do ?

  1. Support Staff 1 Posted by Damien Elmes on 02 Feb, 2020 09:39 PM

    Damien Elmes's Avatar

    Perhaps you have a proxy configured on your system?

  2. 2 Posted by miranda on 11 Mar, 2020 09:32 PM

    miranda's Avatar

    I'm also having this same issue. First when I tried to sync it tells me that the system timed out. Then, after updating my Anki, I was told that only one client can be on the server at a time (which made no sense, I have only Anki on my desktop open), and NOW, whenever I try to sync, this shows up:

    Syncing failed:
    Traceback (most recent call last):
      File "urllib3/connectionpool.py", line 665, in urlopen
      File "urllib3/connectionpool.py", line 376, in _make_request
      File "urllib3/connectionpool.py", line 994, in _validate_conn
      File "urllib3/connection.py", line 386, in connect
      File "urllib3/util/ssl_.py", line 370, in ssl_wrap_socket
      File "ssl.py", line 500, in wrap_socket
      File "ssl.py", line 1040, in _create
      File "ssl.py", line 1309, in do_handshake
    OSError: [Errno 0] Error

    During handling of the above exception, another exception occurred:

    Traceback (most recent call last):
      File "requests/adapters.py", line 439, in send
      File "urllib3/connectionpool.py", line 719, in urlopen
      File "urllib3/util/retry.py", line 400, in increment
      File "urllib3/packages/six.py", line 734, in reraise
      File "urllib3/connectionpool.py", line 665, in urlopen
      File "urllib3/connectionpool.py", line 376, in _make_request
      File "urllib3/connectionpool.py", line 994, in _validate_conn
      File "urllib3/connection.py", line 386, in connect
      File "urllib3/util/ssl_.py", line 370, in ssl_wrap_socket
      File "ssl.py", line 500, in wrap_socket
      File "ssl.py", line 1040, in _create
      File "ssl.py", line 1309, in do_handshake
    urllib3.exceptions.ProtocolError: ('Connection aborted.', OSError(0, 'Error'))

    During handling of the above exception, another exception occurred:

    Traceback (most recent call last):
      File "aqt/sync.py", line 441, in _sync
      File "aqt/sync.py", line 421, in _abortingSync
      File "anki/sync.py", line 57, in sync
      File "anki/sync.py", line 585, in meta
      File "anki/sync.py", line 552, in req
      File "anki/httpclient.py", line 36, in post
      File "requests/sessions.py", line 581, in post
      File "requests/sessions.py", line 533, in request
      File "requests/sessions.py", line 646, in send
      File "requests/adapters.py", line 498, in send
    requests.exceptions.ConnectionError: ('Connection aborted.', OSError(0, 'Error'))

  3. Support Staff 3 Posted by Damien Elmes on 13 Mar, 2020 07:53 AM

    Damien Elmes's Avatar

    I'm afraid I can not reproduce this issue on a machine here, and it doesn't seem to be a widespread problem. My guess is it is either caused by your network configuration, or some other app you have running on your machine that filters network connections, like an antivirus program. Do you use an antivirus program or a program like LittleSnitch?

  4. 4 Posted by KS on 22 May, 2020 07:14 PM

    KS's Avatar

    I also have same error message. I am syncing from my macbook and I tried to check on chrome browser on my iphone. It does not work.

    Traceback (most recent call last):
      File "urllib3/connectionpool.py", line 665, in urlopen
      File "urllib3/connectionpool.py", line 376, in _make_request
      File "urllib3/connectionpool.py", line 994, in _validate_conn
      File "urllib3/connection.py", line 386, in connect
      File "urllib3/util/ssl_.py", line 370, in ssl_wrap_socket
      File "ssl.py", line 500, in wrap_socket
      File "ssl.py", line 1040, in _create
      File "ssl.py", line 1309, in do_handshake
    OSError: [Errno 0] Error

  5. 5 Posted by Flora on 22 May, 2020 07:22 PM

    Flora's Avatar

    I'm having a similar issue. It's not giving me an error code but my web is not syncing to my mac app, although I'm able to sync from my iPhone to the web. Is there any way to force a sync or something?

  6. 6 Posted by Lauren on 22 May, 2020 10:30 PM

    Lauren's Avatar

    Same thing happens to me. If I change or add cards on one device, it stays on one device and I get this message...
    Syncing failed:
    '[SSL: TLSV1_ALERT_PROTOCOL_VERSION] tlsv1 alert protocol version (_ssl.c:661)'

  7. 7 Posted by Fleur on 22 May, 2020 11:21 PM

    Fleur's Avatar

    I exported my decks from my mobile device and imported them to the mac app to wipe everything and replace it with the phone’s version. It worked and I was then able to finish my days reviews, synced it back to my phone and it followed through. :) I hope you can figure your error out.

  8. 8 Posted by KS on 23 May, 2020 03:16 AM

    KS's Avatar

    Fleur, you meant from your ios app?? I use browser from my phone so I have no way to do that. Sorry if I misunderstand you, I am very new to anki.

  9. 9 Posted by KS on 23 May, 2020 03:55 AM

    KS's Avatar

    Okay, I first uninstalled my mac anki and then reinstalled it and then I restarted my macbook. Now it seems to be syncing again. (Fingerscrossed that this is permanent).

  10. Support Staff 10 Posted by Damien Elmes on 25 May, 2020 02:02 AM

    Damien Elmes's Avatar

    Another person with the Errno 0 error reported that restarting their computer fixed the problem, so I suggest trying that.

    Lauren: you have a different issue:

    Anki 2.0 support has ended

  11. 11 Posted by Fleur on 25 May, 2020 06:47 PM

    Fleur's Avatar

    Yes, from my iOS app. Idk how you’d do it from the web browser. :/

Comments are closed, but you can start a new discussion.

Keyboard shortcuts

Generic

? Show this help
ESC Blurs the current field

Comment Form

r Focus the comment reply box
^ + ↩ Submit the comment

You can use Command ⌘ instead of Control ^ on Mac